Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorQuentin Le Menez2017-05-31 09:07:16 -0400
committerQuentin Le Menez2017-06-02 05:26:10 -0400
commitd1c8dca9b47fbc27f97ee86b1204a5724c920024 (patch)
treed8e1d14f4b74a4bc03598305165f35a902cd7888 /plugins/developer
parentf16aae7b9d69ab5e594d94c8fd7f550419991d3b (diff)
downloadorg.eclipse.papyrus-d1c8dca9b47fbc27f97ee86b1204a5724c920024.tar.gz
org.eclipse.papyrus-d1c8dca9b47fbc27f97ee86b1204a5724c920024.tar.xz
org.eclipse.papyrus-d1c8dca9b47fbc27f97ee86b1204a5724c920024.zip
Bug 517539 - [All] Update UML2 dependency for all Papyrus plugins
- Update plugins dependencies to uml2 - Add a new test to verify uml2.uml versions during bundle tests - Update plugin versions due to new reexported versions and other manifest changes Change-Id: I524eb4474eb6dd7de6f97ce118f144c28590773b Signed-off-by: Quentin Le Menez <quentin.lemenez@cea.fr>
Diffstat (limited to 'plugins/developer')
-rw-r--r--plugins/developer/org.eclipse.papyrus.dev.project.management/META-INF/MANIFEST.MF2
-rw-r--r--plugins/developer/org.eclipse.papyrus.dev.project.management/pom.xml2
-rw-r--r--plugins/developer/org.eclipse.papyrus.dev.types/META-INF/MANIFEST.MF2
-rw-r--r--plugins/developer/org.eclipse.papyrus.gmf.editpartview/META-INF/MANIFEST.MF2
-rw-r--r--plugins/developer/org.eclipse.papyrus.gmfgenextension/META-INF/MANIFEST.MF4
-rw-r--r--plugins/developer/org.eclipse.papyrus.mwe2.utils/META-INF/MANIFEST.MF2
-rwxr-xr-xplugins/developer/org.eclipse.papyrus.releng.main.release/release.digest.bak1 (renamed from plugins/developer/org.eclipse.papyrus.releng.main.release/release.digest)bin31333 -> 31333 bytes
-rw-r--r--plugins/developer/org.eclipse.papyrus.uml.m2m.qvto.tests.tools/META-INF/MANIFEST.MF2
8 files changed, 8 insertions, 8 deletions
diff --git a/plugins/developer/org.eclipse.papyrus.dev.project.management/META-INF/MANIFEST.MF b/plugins/developer/org.eclipse.papyrus.dev.project.management/META-INF/MANIFEST.MF
index 7c2e9d44b38..ac78a63b8cd 100644
--- a/plugins/developer/org.eclipse.papyrus.dev.project.management/META-INF/MANIFEST.MF
+++ b/plugins/developer/org.eclipse.papyrus.dev.project.management/META-INF/MANIFEST.MF
@@ -8,7 +8,7 @@ Require-Bundle: org.eclipse.ui;bundle-version="[3.107.0,4.0.0)",
org.eclipse.ui.ide;bundle-version="[3.12.0,4.0.0)";visibility:=reexport
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
+Bundle-Version: 1.3.0.qualifier
Bundle-Name: %Bundle-Name
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.dev.project.management.Activator
diff --git a/plugins/developer/org.eclipse.papyrus.dev.project.management/pom.xml b/plugins/developer/org.eclipse.papyrus.dev.project.management/pom.xml
index e1262510310..6a37b80a5fb 100644
--- a/plugins/developer/org.eclipse.papyrus.dev.project.management/pom.xml
+++ b/plugins/developer/org.eclipse.papyrus.dev.project.management/pom.xml
@@ -9,6 +9,6 @@
</parent>
<artifactId>org.eclipse.papyrus.dev.project.management</artifactId>
<groupId>org.eclipse.papyrus</groupId>
- <version>1.2.0-SNAPSHOT</version>
+ <version>1.3.0-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project>
diff --git a/plugins/developer/org.eclipse.papyrus.dev.types/META-INF/MANIFEST.MF b/plugins/developer/org.eclipse.papyrus.dev.types/META-INF/MANIFEST.MF
index b42762d5f64..0034f968b96 100644
--- a/plugins/developer/org.eclipse.papyrus.dev.types/META-INF/MANIFEST.MF
+++ b/plugins/developer/org.eclipse.papyrus.dev.types/META-INF/MANIFEST.MF
@@ -1,6 +1,6 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui;bundle-version="[3.107.0,4.0.0)",
- org.eclipse.uml2.uml;bundle-version="[5.2.0,6.0.0)",
+ org.eclipse.uml2.uml;bundle-version="[5.3.0,6.0.0)",
org.eclipse.papyrus.infra.types.core;bundle-version="[3.0.0,4.0.0)",
org.eclipse.papyrus.infra.services.edit;bundle-version="[3.0.0,4.0.0)",
org.eclipse.gmf.codegen;bundle-version="[2.11.0,3.0.0)",
diff --git a/plugins/developer/org.eclipse.papyrus.gmf.editpartview/META-INF/MANIFEST.MF b/plugins/developer/org.eclipse.papyrus.gmf.editpartview/META-INF/MANIFEST.MF
index b4c413d72d0..f750fa25586 100644
--- a/plugins/developer/org.eclipse.papyrus.gmf.editpartview/META-INF/MANIFEST.MF
+++ b/plugins/developer/org.eclipse.papyrus.gmf.editpartview/META-INF/MANIFEST.MF
@@ -4,7 +4,7 @@ Export-Package: org.eclipse.papyrus.gmf.editpartview,
Require-Bundle: org.eclipse.gmf.runtime.diagram.ui;bundle-version="[1.8.0,2.0.0)",
org.eclipse.papyrus.editor;bundle-version="[2.0.0,3.0.0)",
org.eclipse.papyrus.infra.gmfdiag.dnd;bundle-version="[1.2.0,2.0.0)",
- org.eclipse.uml2.uml;bundle-version="[5.2.0,6.0.0)",
+ org.eclipse.uml2.uml;bundle-version="[5.3.0,6.0.0)",
org.eclipse.papyrus.uml.internationalization.utils;bundle-version="[1.0.0,2.0.0)"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
diff --git a/plugins/developer/org.eclipse.papyrus.gmfgenextension/META-INF/MANIFEST.MF b/plugins/developer/org.eclipse.papyrus.gmfgenextension/META-INF/MANIFEST.MF
index 6e734f7130b..fde22ead007 100644
--- a/plugins/developer/org.eclipse.papyrus.gmfgenextension/META-INF/MANIFEST.MF
+++ b/plugins/developer/org.eclipse.papyrus.gmfgenextension/META-INF/MANIFEST.MF
@@ -4,8 +4,8 @@ Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.12.0,4.0.0)",
org.eclipse.emf.codegen.ecore;bundle-version="[2.12.0,3.0.0)";visibility:=reexport,
org.eclipse.gmf.codegen;bundle-version="[2.11.0,3.0.0)";visibility:=reexport,
org.eclipse.ui;bundle-version="[3.107.0,4.0.0)",
- org.eclipse.uml2.uml.edit;bundle-version="[5.1.0,6.0.0)",
- org.eclipse.uml2.codegen.ecore;bundle-version="[2.1.0,3.0.0)"
+ org.eclipse.uml2.uml.edit;bundle-version="[5.3.0,6.0.0)",
+ org.eclipse.uml2.codegen.ecore;bundle-version="[2.3.0,3.0.0)"
Export-Package: org.eclipse.papyrus.papyrusgmfgenextension,
org.eclipse.papyrus.papyrusgmfgenextension.impl,
org.eclipse.papyrus.papyrusgmfgenextension.popupaction,
diff --git a/plugins/developer/org.eclipse.papyrus.mwe2.utils/META-INF/MANIFEST.MF b/plugins/developer/org.eclipse.papyrus.mwe2.utils/META-INF/MANIFEST.MF
index 45fb0041158..3913bfa20f5 100644
--- a/plugins/developer/org.eclipse.papyrus.mwe2.utils/META-INF/MANIFEST.MF
+++ b/plugins/developer/org.eclipse.papyrus.mwe2.utils/META-INF/MANIFEST.MF
@@ -1,7 +1,7 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.12.0,4.0.0)",
org.eclipse.emf.mwe.core;bundle-version="[1.3.0,2.0.0)";visibility:=reexport,
- org.eclipse.uml2.uml;bundle-version="[5.2.0,6.0.0)",
+ org.eclipse.uml2.uml;bundle-version="[5.3.0,6.0.0)",
org.apache.commons.logging;bundle-version="[1.1.0,2.0.0)",
org.eclipse.m2m.qvt.oml;bundle-version="[3.6.0,4.0.0)";visibility:=reexport,
org.eclipse.xtext.xbase.lib;bundle-version="[2.10.0,3.0.0)";visibility:=reexport,
diff --git a/plugins/developer/org.eclipse.papyrus.releng.main.release/release.digest b/plugins/developer/org.eclipse.papyrus.releng.main.release/release.digest.bak1
index c8ca88edb85..c8ca88edb85 100755
--- a/plugins/developer/org.eclipse.papyrus.releng.main.release/release.digest
+++ b/plugins/developer/org.eclipse.papyrus.releng.main.release/release.digest.bak1
Binary files differ
diff --git a/plugins/developer/org.eclipse.papyrus.uml.m2m.qvto.tests.tools/META-INF/MANIFEST.MF b/plugins/developer/org.eclipse.papyrus.uml.m2m.qvto.tests.tools/META-INF/MANIFEST.MF
index 1540d898abc..5071a4d2acf 100644
--- a/plugins/developer/org.eclipse.papyrus.uml.m2m.qvto.tests.tools/META-INF/MANIFEST.MF
+++ b/plugins/developer/org.eclipse.papyrus.uml.m2m.qvto.tests.tools/META-INF/MANIFEST.MF
@@ -10,7 +10,7 @@ Require-Bundle: org.eclipse.papyrus.infra.core.log;bundle-version="[1.2.0,2.0.0)
org.eclipse.core.commands;bundle-version="[3.9.0,4.0.0)",
org.eclipse.papyrus.uml.m2m.qvto.common;bundle-version="[1.0.0,2.0.0)",
org.eclipse.emf.ecore;bundle-version="[2.13.0,3.0.0)",
- org.eclipse.uml2.uml;bundle-version="[5.2.0,6.0.0)",
+ org.eclipse.uml2.uml;bundle-version="[5.3.0,6.0.0)",
org.eclipse.papyrus.junit.utils;bundle-version="[2.0.0,3.0.0)",
org.eclipse.emf.compare;bundle-version="[3.3.0,4.0.0)",
com.google.guava;bundle-version="21.0.0"

Back to the top